Bug 221717 - net-p2p/mktorrent: update to 1.1
Summary: net-p2p/mktorrent: update to 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-22 16:19 UTC by Johannes Jost Meixner
Modified: 2017-09-07 15:21 UTC (History)
3 users (show)

See Also:
dgerow: maintainer-feedback+


Attachments
bump mktorrent to v1.1 (7.14 KB, text/plain)
2017-08-22 16:19 UTC, Johannes Jost Meixner
no flags Details
buildlog (10.38 KB, text/x-log)
2017-08-22 16:20 UTC, Johannes Jost Meixner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2017-08-22 16:19:44 UTC
Created attachment 185664 [details]
bump mktorrent to v1.1

- Update mktorrent to version 1.1
Comment 1 Johannes Jost Meixner freebsd_committer 2017-08-22 16:20:14 UTC
Created attachment 185665 [details]
buildlog
Comment 2 dgerow 2017-08-31 23:52:36 UTC
Looks reasonable to me, but I don't have any  FreeBSD systems kicking around to test this on anymore.
Comment 3 commit-hook freebsd_committer 2017-09-06 19:10:47 UTC
A commit references this bug:

Author: naddy
Date: Wed Sep  6 19:10:09 UTC 2017
New revision: 449357
URL: https://svnweb.freebsd.org/changeset/ports/449357

Log:
  * Update to v1.1.
  * Reset MAINTAINER.

  PR:		221717
  Submitted by:	Johannes Jost Meixner
  Approved by:	former maintainer

Changes:
  head/net-p2p/mktorrent/Makefile
  head/net-p2p/mktorrent/distinfo
  head/net-p2p/mktorrent/files/
  head/net-p2p/mktorrent/pkg-descr
Comment 4 Christian Weisgerber freebsd_committer 2017-09-06 19:13:56 UTC
Committed, thanks.
Comment 5 Anton Saietskii 2017-09-07 11:14:29 UTC
There was a patch for large size pieces by mine authorship (#210374, r435987). This change isn't available in original repo yet.
So could you please explain why this change isn't preserved in recent update?
Comment 6 commit-hook freebsd_committer 2017-09-07 15:21:29 UTC
A commit references this bug:

Author: naddy
Date: Thu Sep  7 15:19:51 UTC 2017
New revision: 449403
URL: https://svnweb.freebsd.org/changeset/ports/449403

Log:
  Restore the maximum piece size of 2^30 introduced in r435987.

  PR:		221717
  Reported by:	Anton Sayetsky

Changes:
  head/net-p2p/mktorrent/Makefile
  head/net-p2p/mktorrent/files/
  head/net-p2p/mktorrent/files/patch-init.c